from __future__ import annotations

from typing import Protocol


class ClientProto(Protocol):
    def generate_x_device_id(self, device_id: str | None) -> str: ...
    def set_token(self, token: str | None) -> None: ...
    def set_account_id(self, account_id: str | None) -> None: ...
